<?php
namespace Core;

class Application
{
    public $base_dir;
    protected static $instance;

    public $config;

    protected function __construct($base_dir)
    {
        $this->base_dir = $base_dir;
        $this->config = new Config($base_dir.'/Configs');
    }

    static function getInstance($base_dir = '')
    {
        if (empty(self::$instance))
        {
            self::$instance = new self($base_dir);
        }
        return self::$instance;
    }

    function dispatch()
    {
        $requestUri = trim($_SERVER['REQUEST_URI'],'/');
        list($uri,$params) = explode('?',$requestUri);
        list($c, $m) = explode('/', $uri);

//        $request = new \Core\Request();
//
//        if($params){
//            $paramsArr = explode('&',$params);
//            foreach($paramsArr as $v){
//                $varr = explode('=',$v);
//                $request->setInput($varr[0],$varr[1]);
//            }
//        }

//        if($c == 'api'){
//
//        }
        $c = ucwords($c);
        $class = '\\App\\Controller\\'.$c;
        \Core\Ioc::getInstance($class)->$m();
    }
}