<?php
/**
 * 定义根目录常量 /www
 */
define('BASEDIR',__DIR__);

/**
 * 载入自动加载
 */
include BASEDIR.'/Core/Loader.php';

/**
 * 自动载入类 传入方法名
 * 当实例化或者调用不存在的类时，会回调该方法
 */
spl_autoload_register('\\Core\\Loader::autoload');

/**
 * 执行核心代码
 */
Core\Application::getInstance(BASEDIR)->dispatch();